import BaseCommand from '../../lib/baseCommand.js';
import CloudLoginManager from '../../lib/cloudLoginManager.js';
import StatusManager from '../../lib/statusManager.js';
export default class CloudLogout extends BaseCommand {
    static description = 'Log out from Kyndryl Cloud Uplift';
    async assertPrerequisites() {
        // Logout has no prerequisites
    }
    async runImpl() {
        const loginManager = new CloudLoginManager();
        await loginManager.logout();
        StatusManager.finishCommand(`Logout from Kyndryl Cloud Uplift`);
    }
}
